#
libsff

Home | Modules | Examples

# /home/pinky2/mattijs/OpenFOAM/OpenFOAM-1.0/applications/utilities/mesh/conversion/ccm24ToFoam/libccmio/libccmio/vector.h File Reference

Go to the source code of this file.

## Data Structures

struct | _Vector

## Typedefs

typedef _Vector * | Vector

## Functions

Vector | VCreate (int typeSize, int minSize, int clear)
| Creates a growable array (or NULL if memory error).
void | VDestroy (Vector v)
| Destroys a growable array (or does nothing if passed NULL).
int | VSize (Vector v)
| Returns the number of elements currently used.
void * | VIndex (Vector v, int i)
| Returns a pointer to the index i.

## Typedef Documentation

typedef struct _Vector* Vector

| Definition at line 32 of file vector.h.

## Function Documentation

Vector VCreate | ( | int | typeSize,
|  | int | minSize,
|  | int | clear
| ) |

| Creates a growable array (or NULL if memory error). If clear is TRUE, then unused memory will always be zero.

void VDestroy | ( | Vector | v | ) |

| Destroys a growable array (or does nothing if passed NULL).

void* VIndex | ( | Vector | v,
|  | int | i
| ) |

| Returns a pointer to the index i. If i is larger than the array, it will be expanded to at least i. If an expansion fails, returns NULL.

int VSize | ( | Vector | v | ) |

| Returns the number of elements currently used.